#define APPNAME "Peeper"
#define DEFAULT_WIDTH 150
#define DEFAULT_HEIGHT 100

#define DEFAULT_ZOOM 2
#define DEFAULT_UPDATE 1000

#define DEF_ZOOM_STR "2"
#define DEF_UPDATE_STR "1000"
	

void handle_save(GtkWidget *widget, gpointer data);
void handle_save_as(GtkWidget *widget, gpointer data);
void handle_quit(GtkWidget *widget, gpointer data);
void handle_zoomfactor(GtkWidget *widget, gpointer data);
void handle_autoupdate(GtkWidget *widget, gpointer data);
void handle_updaterate(GtkWidget *widget, gpointer data);
void handle_about(GtkWidget *widget, gpointer data);


/* This is the GtkItemFactoryEntry structure used to generate new menus.
   Item 1: The menu path. The letter after the underscore indicates an
           accelerator key once the menu is open.
   Item 2: The accelerator key for the entry
   Item 3: The callback function.
   Item 4: The callback action.  This changes the parameters with
           which the function is called.  The default is 0.
   Item 5: The item type, used to define what kind of an item it is.
           Here are the possible values:

           NULL               -> "<Item>"
           ""                 -> "<Item>"
           "<Title>"          -> create a title item
           "<Item>"           -> create a simple item
           "<CheckItem>"      -> create a check item
           "<ToggleItem>"     -> create a toggle item
           "<RadioItem>"      -> create a radio item
           <path>             -> path of a radio item to link against
           "<Separator>"      -> create a separator
           "<Branch>"         -> create an item to hold sub items (optional)
           "<LastBranch>"     -> create a right justified branch 
*/
static GtkItemFactoryEntry gMenuItems[] = {
  { "/_File",         		NULL,		NULL, 0, "<Branch>" },
  { "/File/_Save",    		"<control>S",	handle_save, 0, NULL },
/*  { "/File/Save _As", 		NULL,		handle_save_as, 0, NULL} ,*/
  { "/File/sep1",     		NULL,		NULL, 0, "<Separator>" },
  { "/File/Quit",     		"<control>Q",	gtk_main_quit, 0, NULL },
  { "/_Options",      		NULL,		NULL, 0, "<Branch>" },
  { "/Options/Zoom Factor",	NULL,		handle_zoomfactor, 0, NULL },
  { "/Options/Auto Update",	NULL,		handle_autoupdate, 0, "<ToggleItem>" },
  { "/Options/Update Rate",	NULL,		handle_updaterate, 0, NULL },
  { "/_Help",         		NULL,		NULL, 0, "<LastBranch>" },
  { "/_Help/About",		NULL,		handle_about, 0, NULL },
};

